Add Policy Approvers
post
/v1/governance/approvers
Adds one or more blockchain addresses as approvers for the policy identified by `uuid`, submitting the governance transaction from the specified `fromAddress`.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
approvers(required): array
approvers
Minimum Number of Items:
1 -
async: boolean
Default Value:
false -
fromAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
uuid(required): string
Nested Schema : approvers
Type:
arrayMinimum Number of Items:
Show Source
1-
Array of:
string
Pattern:
^0x[a-fA-F0-9]{40}$
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Transaction receipt confirmed
Root Schema : SyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "confirmed" ] -
success(required): boolean
-
txHash(required): string
202 Response
Transaction submitted or receipt not yet available
Root Schema : AsyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "submitted" ] -
txHash(required): string
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.